RESTinio

Classes | Namespaces | Typedefs | Functions
request_handler.hpp File Reference
`#include <restinio/exception.hpp>`
`#include <restinio/http_headers.hpp>`
`#include <restinio/message_builders.hpp>`
`#include <restinio/chunked_input_info.hpp>`
`#include <restinio/impl/connection_base.hpp>`
`#include <array>`
`#include <functional>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes
class | restinio::extra_data_buffer_t< Extra_Data >
| Helper for holding a pointer to a buffer where a new object of type Extra_Data should be constructed. More...
struct | restinio::no_extra_data_factory_t
| The default extra-data-factory to be used in server's traits if a user doesn't specify own one. More...
struct | restinio::no_extra_data_factory_t::data_t
| A type of extra-data to be incorporated into a request object by the default. More...
struct | restinio::simple_extra_data_factory_t< Extra_Data >
| A helper template class for cases when extra-data-factory is just a simple stateless object. More...
class | restinio::impl::generic_request_extra_data_holder_t< Extra_Data >
| Helper class for holding a buffer for extra-data object to be incorporated into a request object. More...
class | restinio::generic_request_t< Extra_Data >
| HTTP Request data. More...

## Namespaces
namespace | restinio
namespace | restinio::impl

## Typedefs
template<typename Extra_Data >
using | restinio::generic_request_handle_t = std::shared_ptr< generic_request_t< Extra_Data > >
| An alias for shared-pointer to incoming request. More...
using | restinio::request_t = generic_request_t< no_extra_data_factory_t::data_t >
| An alias for incoming request without additional extra-data. More...
using | restinio::request_handle_t = std::shared_ptr< request_t >
| An alias for handle for incoming request without additional extra-data. More...
using | restinio::default_request_handler_t = std::function< request_handling_status_t(request_handle_t) >

## Functions
template<typename Extra_Data >
connection_handle_t & | restinio::impl::access_req_connection (generic_request_t< Extra_Data > &) noexcept
template<typename Extra_Data >
std::ostream & | restinio::operator<< (std::ostream &o, const generic_request_t< Extra_Data > &req)